Bug 235570

Summary: graphics/mesa-dri: update to 19.0 (Vulkan on Intel finally works)
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: freebsd-x11 (Nobody) <x11>
Status: Closed FIXED    
Severity: Affects Only Me CC: iwtcex, james.wright, o.hushchenkov, rkoberman, rsmith, ruivalporto, sascha.folie, sdalu, yklaxds, zeising
Priority: --- Keywords: needs-qa, patch
Version: LatestFlags: bugzilla: maintainer-feedback? (x11)
Hardware: Any   
OS: Any   
Bug Depends on: 230789, 233034, 235430    
Bug Blocks:    

Description Jan Beich freebsd_committer 2019-02-07 10:46:22 UTC
See review D19100 for the patch.

https://gitlab.freedesktop.org/mesa/mesa/commit/731c4adcf9b1 fixed ANV (Intel Vulkan), obsoleting attachment 187401 [details].
https://gitlab.freedesktop.org/mesa/mesa/commit/3fbdcd942fe2 bumped minimum LLVM to 7.0.
https://gitlab.freedesktop.org/mesa/mesa/commit/e68777c87cee explicitly declared autotools as unmaintained.
Comment 1 Jan Beich freebsd_committer 2019-05-07 18:07:15 UTC
(In reply to Jan Beich from comment #0)
> e68777c87cee explicitly declared autotools as unmaintained

FWIW, autotools are gone as of 19.1.0-rc1 after
https://gitlab.freedesktop.org/mesa/mesa/commit/95aefc94a941
Comment 2 Jan Beich freebsd_committer 2019-06-25 15:44:16 UTC
19.0 series has reached EOL.
Comment 3 rkoberman 2019-07-01 03:34:49 UTC
I'm confused. I see it now builds with LLVM80, but it's still the old version 18. How is that "FIXED" for a request to update to 19.0. I've been running 19.0.0 for several months wit no problems, so I've been hoping to see this or an updated version for 19.0.8 to be committed, not to see the ticket closed as "FIXED".
Comment 4 Niclas Zeising freebsd_committer 2019-07-01 18:24:30 UTC
(In reply to rkoberman from comment #3)

What are you referring to?  This PR is for updating mesa to 19.0, and this PR is still open.
Comment 5 rkoberman 2019-07-02 14:53:57 UTC
(In reply to Niclas Zeising from comment #4)
My apologies. The e-mail from Bugzilla was for the closure of a ticket that blocked this one, not this ticket.

Sorry for the noise!
Comment 6 Niclas Zeising freebsd_committer 2019-07-02 16:24:36 UTC
(In reply to rkoberman from comment #5)
No worries.  I just thought I closed the wrong ticket first, and got confused when this one was still open.
Comment 7 Jan Beich freebsd_committer 2019-11-27 02:09:08 UTC
*** Bug 242230 has been marked as a duplicate of this bug. ***
Comment 8 rkoberman 2019-11-27 04:30:31 UTC
All blocking tickets are resolved. What is holding this up? I hate to see mesa drop so far behind again after getting fairly current.
Comment 9 James Wright 2019-11-28 04:19:36 UTC
Built and tested mesa-dri and mesa-libs 19.0.8 on my Intel Broadwell MacBookAir (HD6000), and it seems to work fine.

This update also fixed my issue with Vulkan (vulkaninfo and vkcube crashes) as rasied in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=242230
Comment 10 ykla 2020-03-03 13:25:27 UTC
Mesa 20.0.0 is released. Please update it.  Mesa stills stop on 18.
Comment 11 Oleh Hushchenkov 2020-03-27 19:47:33 UTC
Tested on 12-STABLE, amd64, Intel Haswell GPU with mpv and chromium. Works fine.
Comment 12 James Wright 2020-04-23 02:09:57 UTC
What is the status of this? Does it require more testing?
Comment 13 ykla 2020-04-24 03:20:38 UTC
I don't know´╝înow mesa stop at version 18. Mesa 20 has RPI4 driver,is better to update it.
Comment 14 James Wright 2020-04-24 13:35:07 UTC
(In reply to ykla from comment #13)

If this version (19) has been tested and is working why not commit it, and raise a new ticket for the upgrade to 20, which may require another round of testing?
Comment 15 commit-hook freebsd_committer 2020-05-03 16:15:53 UTC
A commit references this bug:

Author: zeising
Date: Sun May  3 16:15:25 UTC 2020
New revision: 533793
URL: https://svnweb.freebsd.org/changeset/ports/533793

Log:
  graphics/mesa: Update to 19.0.8

  Update mesa and related ports to 19.0.8.
  This is the last version where the autotools build system is being used.
  This serves as a stepping stone for reworking the ports to use the meson
  build system and to enable further updates.

  PR:		235570
  Submitted by:	jbeich (with minor changes)
  Differential Revision:	https://reviews.freebsd.org/D19099
  			https://reviews.freebsd.org/D19100

Changes:
  head/graphics/libosmesa/Makefile
  head/graphics/libxatracker/Makefile
  head/graphics/libxatracker/pkg-plist
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/Makefile.common
  head/graphics/mesa-dri/distinfo
  head/graphics/mesa-dri/files/patch-9cab8cc.c
  head/graphics/mesa-libs/Makefile
  head/lang/clover/Makefile
Comment 16 Niclas Zeising freebsd_committer 2020-05-03 16:18:02 UTC
Committed, leave this open for a bit in case of fallout.
Comment 17 rsmith 2020-05-03 18:04:03 UTC
(In reply to Niclas Zeising from comment #16)

Can we switch away from python 2.7 as a build requirement?

I've built mesa-dri, mesa-libs and libosmesa with Python 3.7.
All compile and run without problems.

(I've been running 19.0.8 based on a patch from another PR for months now; no problems detected on Intel Kaby Lake graphics)
Comment 18 Niclas Zeising freebsd_committer 2020-05-16 13:24:56 UTC
No fallout reported.
Comment 19 ykla 2020-08-10 09:59:24 UTC
Mesa 20.1.5 is released. Someone can update it?
Comment 20 James Wright 2020-08-10 12:57:26 UTC
(In reply to ykla from comment #19)

I think this ticket covereed updating to 19.x which has been completed and CLOSED.

If you want bleeding edge then maybe this is what you are after;
https://www.freshports.org/graphics/mesa-devel/